#include<stdio.h>
#include<ctype.h>
#include<stdlib.h>

int readNumber(){
    char input[100];
    int ok=1;
    while(ok){
        ok=0;
        printf("Enter an integer number: \n");
        fgets(input,100,stdin);
        int i=0;
        while(input[i]!='\n'){
            if(isdigit(input[i])){
                i++;
            }
            else{
                ok=1;
                printf("Invalid input, try again\n");
                break;
            }
        }

    }
    int num=atoi(input);
    return num;
}

void printFibonacci(int num){
    int a=0,b=1,c;
    printf("%d %d ",a,b);
    for(int i=0;i<num-2;i++){
        c=a+b;
        printf("%d ",c);
        a=b;
        b=c;
    }
    printf("\n");
}

int main(){
	int num=readNumber();
    printFibonacci(num);
	return 0;
}
